Variablegroups - Share Variable Group
Add a variable group.
PATCH https://dev.azure.com/{organization}/_apis/distributedtask/variablegroups?variableGroupId={variableGroupId}&api-version=7.0
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '7.0' to use this version of the api. |
|
variable
|
query | True |
integer (int32) |
Request Body
| Name | Type | Description |
|---|---|---|
| body |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Definitions
| Name | Description |
|---|---|
|
Project |
|
|
Variable |
A variable group reference is a shallow reference to variable group. |
ProjectReference
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
|
| name |
string |
VariableGroupProjectReference
A variable group reference is a shallow reference to variable group.
| Name | Type | Description |
|---|---|---|
| description |
string |
Gets or sets description of the variable group. |
| name |
string |
Gets or sets name of the variable group. |
| projectReference |
Gets or sets project reference of the variable group. |